Subject: Re: MIDX woes, was Re: [ANNOUNCE] Git v2.54.0-rc2

From: Derrick Stolee <[email-masked]>
Date: Sun, 19 Apr 2026 18:41:11 -0400

On 4/16/26 4:29 PM, Taylor Blau wrote:
> On Thu, Apr 16, 2026 at 09:09:10AM -0700, Junio C Hamano wrote:
>>> The part that is striking about Johannes' report is that this happens
>>> on a fetch, so it is being written automatically by normal maintenance
>>> activities in that case. Without downgrading the default version back
>>> to a compatible version, deleting the multi-pack-index(es) will not
>>> keep the repo in a good state.
>>
>> I am not sure what you mean by "deleting will not keep the
>> repository in a good state".  Isn't multi-pack-index totall
>> optional?
> 
> I am also having trouble following this.

My wording was bad, but I just meant that in this scenario the
maintenance was generating a new multi-pack-index without the
user directly requesting it. If the two Git versions are still
interacting (or Git 2.25.0 and libgit2 or similar) such that
the multi-pack-index continues regenerating with version 2,
then the deletion doesn't fix it _forever_.

Thanks,
-Stolee